MV(1)

NAMN
mv - move (rename) files

SYNOPSIS
mv [FLAGGA]... [-T] KÄLLA DEST
mv [FLAGGA]... KÄLLA... KATALOG
mv [FLAGGA]... -t KATALOG KÄLLA...

BESKRIVNING

Byt namn på KÄLLA till DEST eller flytta KÄLLor till KATALOG.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--backup[=STYR]
    Gör en säkerhetskopia av varje befintlig destinationsfil.

-b  Som --backup men tar inget argument.

-f, --force
    Fråga inte innan något skrivs över.

-i, --interactive
    Fråga innan något skrivs över.

-n, --no-clobber
    Skriv inte över existerade filer.

Om du anger mer än en av -i, -f, -n har endast den sista någon effekt.

--strip-trailing-slashes
    Ta bort eventuella avslutande snedstreck från varje KÄLL-argument.

-S, --suffix=ÄNDELSE
    Ersätt den vanliga ändelsen för säkerhetskopior.

-t, --target-directory=KATALOG
    Flytta alla KÄLLargument in i KATALOG.

-T, --no-target-directory
    Behandla DEST som en vanlig fil.

-u, --update
    Flytta endast när KÄLLfilen är nyare än destinationsfilen eller när destinationsfilen inte finns.

-v, --verbose
    Berätta vad som görs.

-Z, --context
    Sätt SELinux-säkerhetskontext på destinationsfilen till standardtypen.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

Ändelsen på säkerhetskopior är ”~” om inte annat anges av --suffix eller SIMPLE_BACKUP_SUFFIX. Versionshanteringen kan styras med --backup-flaggan eller med miljövariabeln VERSION_CONTROL. Den kan ha följande värden:

none, off
    Gör aldrig säkerhetskopior (ens om --backup anges).

numbered, t
    Gör numrerade säkerhetskopior.

existing, nil
    Numrerade om det redan finns numrerade, annars enkla.

simple, never
    Gör alltid enkla säkerhetskopior.

UPPHOVSMAN
Skrivet av Mike Parker, David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
rename(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/mv>
eller tillgängligt lokalt via: info '(coreutils) mv invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.